org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class AlgorithmSet

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.AlgorithmSet

    public class AlgorithmSet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAlgorithm(Algorithm algoritm)`
`Collection<Algorithm>` `getAlgorithms()`
`String` `getName()`
`Boolean` `hasAlgorithm(Algorithm algorithm)`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlgorithmSet

    public AlgorithmSet()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getAlgorithms

    public Collection<Algorithm> getAlgorithms()

#### addAlgorithm

    public void addAlgorithm(Algorithm algoritm)

#### hasAlgorithm

    public Boolean hasAlgorithm(Algorithm algorithm)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`